Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.server
Class Http10Interceptor

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.server.PoolTcpConnector
              org.apache.tomcat.modules.server.Http10Interceptor

All Implemented Interfaces:
  TcpConnectionHandler

public class Http10Interceptor
extends PoolTcpConnector
implements TcpConnectionHandler

Standalone http. Connector properties: - secure - will load a SSL socket factory and act as https server Properties passed to the net layer: - timeout - backlog - address - port Thread pool properties: - minSpareThreads - maxSpareThreads - maxThreads - poolOn Properties for HTTPS: - keystore - certificates - default to ~/.keystore - keypass - password - clientauth - true if the server should authenticate the client using certs Properties for HTTP: - reportedname - name of server sent back to browser (security purposes)

Field Summary

Fields inherited from class org.apache.tomcat.modules.server.PoolTcpConnector
`attributes, ep, secure, socketFactory, socketFactoryName, sslImplementation, sslImplementationName`

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`Http10Interceptor()`

Method Summary
`java.lang.Object` | `getInfo(Context ctx, Request request, int id, java.lang.String key)` getInfo calls for SSL data
`java.lang.Object[]` | `init()` Called before the call to processConnection.
`protected void` | `localInit()`
`void` | `processConnection(TcpConnection connection, java.lang.Object[] thData)` Assert: connection!=null Assert: connection.getSocket() != null Assert: thData != null and is the result of calling init() Assert: thData is preserved per Thread.
`void` | `setProperty(java.lang.String prop, java.lang.String value)`
`void` | `setReportedname(java.lang.String reportedName)`
`void` | `setServer(java.lang.Object o)` Add informations about the a "controler" object specific to the server.
`void` | `setSocketCloseDelay(int d)`
`void` | `setTimeout(int timeouts)`

Methods inherited from class org.apache.tomcat.modules.server.PoolTcpConnector
`engineInit, engineShutdown, engineStart, getAddress, getEndpoint, getPort, isAttributeSet, isClientauthSet, isKeypassSet, isKeystoreSet, isSameAddress, isSecure, setAddress, setAttribute, setBacklog, setClientauth, setHostName, setKeypass, setKeystore, setMaxSpareThreads, setMaxThreads, setMinSpareThreads, setPools, setPort, setSecure, setServerSoTimeout, setSocketFactory, setSoLinger, setSoTimeout, setSSLImplementation, setTcpNoDelay`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tomcat.util.net.TcpConnectionHandler
`setAttribute`

Constructor Detail

### Http10Interceptor

    public Http10Interceptor()

Method Detail

### localInit

    protected void localInit()
                      throws java.lang.Exception

  Specified by:
    `localInit` in class `PoolTcpConnector`
  Throws:
    `java.lang.Exception`

### setTimeout

    public void setTimeout(int timeouts)

### setReportedname

    public void setReportedname(java.lang.String reportedName)

### setSocketCloseDelay

    public void setSocketCloseDelay(int d)

### setProperty

    public void setProperty(java.lang.String prop,
                            java.lang.String value)

### setServer

    public void setServer(java.lang.Object o)

  Description copied from interface: `TcpConnectionHandler`
  Add informations about the a "controler" object specific to the server. In tomcat it will be a ContextManager.

  Specified by:
    `setServer` in interface `TcpConnectionHandler`

### init

    public java.lang.Object[] init()

  Description copied from interface: `TcpConnectionHandler`
  Called before the call to processConnection. If the thread is reused, init() should be called once per thread. It may look strange, but it's a _very_ good way to avoid synchronized methods and keep per thread data. Assert: the object returned from init() will be passed to all processConnection() methods happening in the same thread.

  Specified by:
    `init` in interface `TcpConnectionHandler`

### processConnection

    public void processConnection(TcpConnection connection,
                                  java.lang.Object[] thData)

  Description copied from interface: `TcpConnectionHandler`
  Assert: connection!=null Assert: connection.getSocket() != null Assert: thData != null and is the result of calling init() Assert: thData is preserved per Thread.

  Specified by:
    `processConnection` in interface `TcpConnectionHandler`

### getInfo

    public java.lang.Object getInfo(Context ctx,
                                    Request request,
                                    int id,
                                    java.lang.String key)

  getInfo calls for SSL data

  Overrides:
    `getInfo` in class `BaseInterceptor`
  Returns:
    the requested data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.